class Debug
{
	
	static LogError(...rest)
	{
		if (!GameSettings.debugMode) return;
		console.error.apply(null, rest);
	}

	static LogWarning(...rest)
	{
		if (!GameSettings.debugMode) return;
		console.warn.apply(null, rest);
	}

	static Log(...rest)
	{
		if (!GameSettings.debugMode) return;
		console.log.apply(null, rest);
	}

	static Assert(...rest)
	{
		if (!GameSettings.debugMode) return;
		console.assert.apply(null, rest);
	}

}
